Bug 865056 - aborted transaction cannot be recovered
aborted transaction cannot be recovered
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 13:23 EDT by Stas Sergeev
Modified: 2013-08-01 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:09:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stas Sergeev 2012-10-10 13:23:06 EDT
Description of problem:
I aborted the "--releasever=17 distr-sync" transaction in
the middle, and ended up in an unrecoverable state.
I then tried:
1. yum-complete-transaction
2. package-cleanup --cleandupes
3. yum history redo <num>
4. yum history undo <num>
All the above are starting to work but are ending up with an
errors like this:
---
yum-3.4.3-29.fc17.noarch is a duplicate with yum-3.4.3-25.fc16.noarch
yum-metadata-parser-1.1.4-6.fc17.x86_64 is a duplicate with yum-metadata-parser-1.1.4-5.fc16.x86_64
yum-utils-1.1.31-4.fc17.noarch is a duplicate with yum-utils-1.1.31-2.fc16.noarch
---
etc, Yes, they are duplicated, because the installation was partially
finished. I am surprised that, for instance, yum-complete-transaction
or package-cleanup are checking this at all: they should fix this, rather
than err on this.
This is certainly a bug, but any hints as to how can I get my
system out of that misery, would be great!

Version-Release number of selected component (if applicable):
yum-3.4.3-25.fc16.noarch
yum-3.4.3-29.fc17.noarch
(no idea which one is in charge)

How reproducible:
You just try.

Steps to Reproduce:
1. run a distro-sync process f16->f17
2. abort it in a middle
3. now try to recover your system!
  
Actual results:
No yum-related tools work any longer

Expected results:
At least yum-complete-transaction should work!
It should not check anything that was already checked when
the transaction started.

Additional info:
I guess all I can do now is a complete re-install?
Comment 1 Fedora End Of Life 2013-07-03 22:21:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 04:09:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.